Bug 199141 - User directories under /home disappear
User directories under /home disappear
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-07-17 10:38 EDT by Daniel P. Stasinski
Modified: 2008-05-06 12:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 12:07:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel P. Stasinski 2006-07-17 10:38:07 EDT
Description of problem:

User dirs under /home disappear after logging into root (from the login screen),
logging out and then trying to login to a user account.

Version-Release number of selected component (if applicable):


How reproducible:

   Consistently on 3 seperate systems with different hardware configurations.

Steps to Reproduce:
1. Login under your normal user account.
2. Logout.
3. Login as root.
4. Open a terminal and `ls -al /home`  (user dir is still there)
5. Logout
6. Try to login as a normal user again and it fails saying your user dir doesn't
7. Login as root.
8. Open a terminal and `ls -al /home`  (user dir is NOT there)
9. Reboot
10. Login now works again and user directories are visible.
Actual results:

  Home dirs are gone.

Expected results:

  Home dirs should still exist.

Additional info:

For further testing, I did a fresh install and did `yum update` only and
disabled selinux.  No other changes made.
Comment 1 Daniel P. Stasinski 2006-07-17 15:57:41 EDT
I thought this was a kernel issue at first but it has been narrowed to KDE only.
 Gnome does not have this issue.   When logging out of root session from KDE, it
appears to umount /home.   Even if I go back and remount it, it gets umounted
again.  Reboot is required.

All systems are fully updated as of this morning and issue persists.   With the
exception of tweaking iptables and disabling selinux, no other mods have been made.
Comment 2 Bug Zapper 2008-04-03 23:19:24 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 12:07:49 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.